test_route_1:
    pattern:  /tests.{_format}
    defaults: { _controller: NelmioApiDocTestBundle:Test:index, _format: json }
    requirements:
        _method: GET

test_route_2:
    pattern:  /tests.{_format}
    host:     api.test.dev
    defaults: { _controller: NelmioApiDocTestBundle:Test:postTest, _format: json }
    requirements:
        _method: POST

test_route_3:
    pattern:  /another
    defaults: { _controller: NelmioApiDocTestBundle:Test:another }

test_route_4:
    pattern:  /any/{foo}
    defaults: { _controller: NelmioApiDocTestBundle:Test:any, _format: json }

test_route_5:
    pattern:  /my-commented/{id}/{page}/{paramType}/{param}
    defaults: { _controller: NelmioApiDocTestBundle:Test:myCommented }

test_route_6:
    pattern:  /yet-another/{id}
    defaults: { _controller: NelmioApiDocTestBundle:Test:yetAnother }
    requirements:
        id:  \d+

test_route_7:
    pattern:  /another-post
    defaults: { _controller: NelmioApiDocTestBundle:Test:anotherPost, _format: json }
    requirements:
        _method: POST

test_route_8:
    pattern:  /z-action-with-query-param
    defaults: { _controller: NelmioApiDocTestBundle:Test:zActionWithQueryParam }
    requirements:
        _method: GET

test_route_9:
    pattern: /jms-input-test
    defaults: { _controller: NelmioApiDocTestBundle:Test:jmsInputTest }
    requirements:
        _method: POST

test_route_10:
    pattern: /jms-return-test
    defaults: { _controller: NelmioApiDocTestBundle:Test:jmsReturnTest }
    requirements:
        _method: GET

test_route_11:
    pattern:  /z-action-with-request-param
    defaults: { _controller: NelmioApiDocTestBundle:Test:zActionWithRequestParam }
    requirements:
        _method: POST

test_route_12:
    pattern: /secure-route
    defaults: { _controller: NelmioApiDocTestBundle:Test:secureRoute }
    requirements:
        _scheme: https

test_route_13:
    pattern: /authenticated
    defaults: { _controller: NelmioApiDocTestBundle:Test:authenticated }

test_service_route_1:
    pattern:  /tests.{_format}
    defaults: { _controller: nelmio.test.controller:indexAction, _format: json }
    requirements:
        _method: GET

test_service_route_2:
    pattern:  /tests.{_format}
    host:     api.test.dev
    defaults: { _controller: nelmio.test.controller:postTestAction, _format: json }
    requirements:
        _method: POST

test_service_route_3:
    pattern:  /another
    defaults: { _controller: nelmio.test.controller:anotherAction }

test_service_route_4:
    pattern:  /any
    defaults: { _controller: nelmio.test.controller:anyAction, _format: json }

NelmioApiDocBundle:
    resource: "@NelmioApiDocBundle/Resources/config/routing.yml"
    prefix:   /

test_route_14:
    pattern:  /tests2.{_format}
    defaults: { _controller: NelmioApiDocTestBundle:Test:postTest2, _format: json }
    requirements:
        _method: POST

test_route_15:
    pattern:  /z-action-with-query-param-strict
    defaults: { _controller: NelmioApiDocTestBundle:Test:zActionWithQueryParamStrict }
    requirements:
        _method: GET

test_route_16:
    pattern:  /z-action-with-query-param-no-default
    defaults: { _controller: NelmioApiDocTestBundle:Test:zActionWithQueryParamNoDefault }
    requirements:
        _method: GET

test_route_17:
    pattern:  /z-action-with-deprecated-indicator
    defaults: { _controller: NelmioApiDocTestBundle:Test:deprecated }
    requirements:
        _method: GET

test_return_nested_output:
    pattern: /return-nested-output
    defaults: { _controller: NelmioApiDocTestBundle:Test:jmsReturnNestedOutput, _format: json }

test_return_nested_extend_output:
    pattern: /return-nested-extend-output
    defaults: { _controller: NelmioApiDocTestBundle:Test:jmsReturnNestedExtendOutput, _format: json }

test_route_18:
    pattern: /z-return-jms-and-validator-output
    defaults: { _controller: NelmioApiDocTestBundle:Test:zReturnJmsAndValidationOutput }

test_route_named_resource:
    pattern:  /named-resource
    defaults: { _controller: NelmioApiDocTestBundle:Test:namedResource }

test_route_19:
    pattern: /z-return-selected-parsers-output
    defaults: { _controller: NelmioApiDocTestBundle:Test:zReturnSelectedParsersOutput }

test_route_20:
    pattern: /z-return-selected-parsers-input
    defaults: { _controller: NelmioApiDocTestBundle:Test:zReturnSelectedParsersInput }

test_route_private:
    pattern: /private
    defaults: { _controller: NelmioApiDocTestBundle:Test:private }

test_route_exclusive:
    pattern: /exclusive
    defaults: { _controller: NelmioApiDocTestBundle:Test:exclusive }

test_route_21:
    pattern:  /z-action-with-constraint-requirements
    defaults: { _controller: NelmioApiDocTestBundle:Test:zActionWithConstraintAsRequirements }
    requirements:
        _method: GET

test_route_22:
    pattern:  /z-action-with-nullable-request-param
    defaults: { _controller: NelmioApiDocTestBundle:Test:zActionWithNullableRequestParam }
    requirements:
        _method: POST

test_route_list_resource:
    pattern: /api/resources.{_format}
    defaults: { _controller: NelmioApiDocTestBundle:Resource:listResources, _format: json }
    requirements:
        _method: GET
        _format: json|xml|html

test_route_get_resource:
    pattern: /api/resources/{id}.{_format}
    defaults: { _controller: NelmioApiDocTestBundle:Resource:getResource, _format: json }
    requirements:
        _method: GET
        _format: json|xml|html

test_route_delete_resource:
    pattern: /api/resources/{id}.{_format}
    defaults: { _controller: NelmioApiDocTestBundle:Resource:deleteResource, _format: json }
    requirements:
        _method: DELETE
        _format: json|xml|html

test_route_create_resource:
    pattern: /api/resources.{_format}
    defaults: { _controller: NelmioApiDocTestBundle:Resource:createResource, _format: json }
    requirements:
        _method: POST
        _format: json|xml|html

test_route_list_another_resource:
    pattern: /api/other-resources.{_format}
    defaults: { _controller: NelmioApiDocTestBundle:Resource:listAnotherResources, _format: json }
    requirements:
        _method: GET
        _format: json|xml|html

test_route_update_another_resource:
    pattern: /api/other-resources/{id}.{_format}
    defaults: { _controller: NelmioApiDocTestBundle:Resource:updateAnotherResource, _format: json }
    requirements:
        _method: PUT|PATCH
        _format: json|xml|html

swagger_doc:
    resource: @NelmioApiDocBundle/Resources/config/swagger_routing.yml
    prefix: /api-docs

test_route_23:
    pattern:  /zcached
    defaults: { _controller: NelmioApiDocTestBundle:Test:zCached }
    requirements:
        _method: POST

test_route_24:
    pattern:  /zsecured
    defaults: { _controller: NelmioApiDocTestBundle:Test:zSecured }
    requirements:
        _method: POST

test_required_parameters:
    pattern: /api/other-resources/{id}.{_format}
    defaults: { _controller: NelmioApiDocTestBundle:Resource:requiredParametersAction, _format: json }
    requirements:
        _method: POST
        _format: json|xml|html

test_put_disables_required_parameters:
    pattern: /api/other-resources/{id}.{_format}
    defaults: { _controller: NelmioApiDocTestBundle:Resource:requiredParametersAction, _format: json }
    requirements:
        _method: PUT
        _format: json|xml|html

test_route_25:
    pattern:  /with-link
    defaults: { _controller: NelmioApiDocTestBundle:Test:withLinkAction }
    requirements:
        _method: GET

test_route_26:
    pattern:  /z-action-with-array-request-param
    defaults: { _controller: NelmioApiDocTestBundle:Test:zActionWithArrayRequestParamAction }
    requirements:
        _method: POST
